## Apache Zeta Components Manual :: File Source for id_credentials.php

## Source for file id_credentials.php

Documentation is available at id_credentials.php

1. <?php
2. /**
3. * File containing the ezcAuthenticationIdCredentials structure.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @filesource
24. * @package Authentication
25. * @version //autogen//
26. */
28. /**
29. * Structure containing an id, used as authentication credentials.
30. *
31. * @package Authentication
32. * @version //autogen//
33. * @mainclass
34. */
35. class ezcAuthenticationIdCredentials extends ezcAuthenticationCredentials
36. {
37. /**
38. * Username or userID or url.
39. *
40. * @var string
41. */
42. public $id ;
44. /**
45. * Constructs a new ezcAuthenticationIdCredentials object.
46. *
47. * @param string $id
48. */
49. public function __construct ( $id )
50. {
51. $this-> id = $id;
52. }
54. /**
55. * Returns a new instance of this class with the data specified by $array.
56. *
57. * $array contains all the data members of this class in the form:
58. * array('member_name'=>value).
59. *
60. * __set_state makes this class exportable with var_export.
61. * var_export() generates code, that calls this method when it
62. * is parsed with PHP.
63. *
64. * @param array(string=>mixed) $array Associative array of data members for this class
65. * @return ezcAuthenticationIdCredentials
66. */
67. public static function __set_state ( array $array )
68. {
69. return new ezcAuthenticationIdCredentials( $array['id'] );
70. }
72. /**
73. * Returns string representation of the credentials.
74. *
75. * Use it to save the credentials in the session.
76. *
77. * @return string
78. */
79. public function __toString ()
80. {
81. return $this-> id ;
82. }
83. }
84. ?>

Documentation generated by phpDocumentor 1.4.3